
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.abc.init;

import net.neoforged.neoforge.registries.DeferredRegister;
import net.neoforged.neoforge.event.BuildCreativeModeTabContentsEvent;
import net.neoforged.fml.common.EventBusSubscriber;
import net.neoforged.bus.api.SubscribeEvent;

import net.minecraft.world.item.CreativeModeTabs;
import net.minecraft.world.item.CreativeModeTab;
import net.minecraft.core.registries.Registries;

import net.mcreator.abc.AbcMod;

@EventBusSubscriber(bus = EventBusSubscriber.Bus.MOD)
public class AbcModTabs {
	public static final DeferredRegister<CreativeModeTab> REGISTRY = DeferredRegister.create(Registries.CREATIVE_MODE_TAB, AbcMod.MODID);

	@SubscribeEvent
	public static void buildTabContentsVanilla(BuildCreativeModeTabContentsEvent tabData) {
		if (tabData.getTabKey() == CreativeModeTabs.BUILDING_BLOCKS) {
			tabData.accept(AbcModBlocks.A.get().asItem());
			tabData.accept(AbcModBlocks.B.get().asItem());
			tabData.accept(AbcModBlocks.C.get().asItem());
			tabData.accept(AbcModBlocks.D.get().asItem());
			tabData.accept(AbcModBlocks.E.get().asItem());
			tabData.accept(AbcModBlocks.F.get().asItem());
			tabData.accept(AbcModBlocks.G.get().asItem());
			tabData.accept(AbcModBlocks.I.get().asItem());
			tabData.accept(AbcModBlocks.J.get().asItem());
			tabData.accept(AbcModBlocks.K.get().asItem());
			tabData.accept(AbcModBlocks.L.get().asItem());
			tabData.accept(AbcModBlocks.M.get().asItem());
			tabData.accept(AbcModBlocks.N.get().asItem());
			tabData.accept(AbcModBlocks.O.get().asItem());
			tabData.accept(AbcModBlocks.H.get().asItem());
			tabData.accept(AbcModBlocks.P.get().asItem());
			tabData.accept(AbcModBlocks.Q.get().asItem());
			tabData.accept(AbcModBlocks.R.get().asItem());
			tabData.accept(AbcModBlocks.S.get().asItem());
			tabData.accept(AbcModBlocks.T.get().asItem());
			tabData.accept(AbcModBlocks.U.get().asItem());
			tabData.accept(AbcModBlocks.V.get().asItem());
			tabData.accept(AbcModBlocks.W.get().asItem());
			tabData.accept(AbcModBlocks.X.get().asItem());
			tabData.accept(AbcModBlocks.Y.get().asItem());
			tabData.accept(AbcModBlocks.Z.get().asItem());
			tabData.accept(AbcModBlocks.FOX_PLUSH.get().asItem());
			tabData.accept(AbcModBlocks.FOX_MUG.get().asItem());
			tabData.accept(AbcModBlocks.NUMBER_1.get().asItem());
			tabData.accept(AbcModBlocks.NUMBER_2.get().asItem());
			tabData.accept(AbcModBlocks.NUMBER_3.get().asItem());
			tabData.accept(AbcModBlocks.NUMBER_4.get().asItem());
			tabData.accept(AbcModBlocks.NUMBER_5.get().asItem());
			tabData.accept(AbcModBlocks.NUMBER_6.get().asItem());
			tabData.accept(AbcModBlocks.NUMBER_7.get().asItem());
			tabData.accept(AbcModBlocks.NUMBER_0.get().asItem());
			tabData.accept(AbcModBlocks.NUMBER_8.get().asItem());
			tabData.accept(AbcModBlocks.NUMBER_9.get().asItem());
		} else if (tabData.getTabKey() == CreativeModeTabs.COMBAT) {
			tabData.accept(AbcModItems.FOX_CLOTHES_HELMET.get());
			tabData.accept(AbcModItems.FOX_CLOTHES_CHESTPLATE.get());
			tabData.accept(AbcModItems.FOX_CLOTHES_LEGGINGS.get());
			tabData.accept(AbcModItems.FOX_CLOTHES_BOOTS.get());
		}
	}
}
